com.google.cloud.dataflow.sdk.transforms.windowing

## Interface Trigger.MergingTriggerInfo<W extends BoundedWindow>

All Superinterfaces:
  Trigger.TriggerInfo<W>

Enclosing class:
  Trigger<W extends BoundedWindow>

    public static interface Trigger.MergingTriggerInfo<W extends BoundedWindow>
    extends Trigger.TriggerInfo<W>

Interact with properties of the trigger being executed, with extensions to deal with the merging windows.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `finishedInAllMergingWindows()` Return true if the trigger is finished in all windows being merged.
`boolean` `finishedInAnyMergingWindow()` Return true if the trigger is finished in any window being merged.
`Iterable<W>` `getFinishedMergingWindows()` Return the merging windows in which the trigger is finished.

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.windowing.Trigger.TriggerInfo

`areAllSubtriggersFinished, firstUnfinishedSubTrigger, isFinished, isFinished, isMerging, resetTree, setFinished, setFinished, subTrigger, subTriggers, unfinishedSubTriggers`

### Method Detail

#### finishedInAnyMergingWindow

    boolean finishedInAnyMergingWindow()

Return true if the trigger is finished in any window being merged.

#### finishedInAllMergingWindows

    boolean finishedInAllMergingWindows()

Return true if the trigger is finished in all windows being merged.

#### getFinishedMergingWindows

    Iterable<W> getFinishedMergingWindows()

Return the merging windows in which the trigger is finished.